> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# List Grants

GET https://api.givechariot.com/v1/grants

Returns a list of all grants for a given Connect. This API allows for paginating over many results.

DAF providers can use `donor_account_id` to filter Grant Requests associated with a specific [Donor Account](/api/donor-accounts).

Reference: https://docs.givechariot.com/api/grants/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Query parameters

- `connect_id` (string, optional) — the `id` of the Connect object. This can be used to filter the grants by a specific Connect if you have more than one.
- `donor_account_id` (string, optional) — Filter grants by a specific [Donor Account](/api/donor-accounts). Use this to retrieve all Grant Requests associated with a given donor.
- `donation_id` (string, optional) — Filter grants by the `id` of a specific [Donation](/api/donations). Use this to retrieve the grant behind a donation you already have.
- `pageLimit` (integer, optional, default: 10) — the number of results to return; defaults to 10, max is 100
- `pageToken` (string, optional) — A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls and the value of this field should be from the nextPageToken in the previous response.

## Response

### 200

The response for Grants.list

- `results` (list of Grant, optional)
- `nextPageToken` (string, optional, nullable) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### Grant

A Grant represents a successfully initiated grant request with a Donor Advised Fund. Grants are created when a person interacts with an instance of Chariot Connect and successfully submits a grant and completes the workflow. There can be many grants associated with a Connect object and therefore a nonprofit.

- `id` (string, required) — The unique identifier for the object
- `workflowSessionId` (string, required) — ID of the Connect Workflow Session associated with this grant
- `fundId` (string, required) — ID of the donor advised fund
- `amount` (double, required) — The grant amount expressed in units of whole cents
- `trackingId` (string, optional) — The tracking ID for the grant
- `donor_account_id` (string, optional) — ID of the [Donor Account](/api/donor-accounts) that this grant was submitted from. Present on grants submitted by donors who authenticated through the DAFpay Donor Account flow. Grants submitted without a linked Donor Account will not have this field set.
- `donation_id` (string, optional) — ID of the [Donation](/api/donations) produced by this grant. Populated once the grant has produced a donation. Newly-created grants and grants that have not yet produced a donation do not have this field set.
- `externalGrantId` (string, optional) — ID of the grant associated with the donor advised fund
- `createdAt` (datetime, optional) — Time when this object was created; expressed in RFC 3339 format
- `updatedAt` (datetime, optional) — Time when this object was last updated; expressed in RFC 3339 format
- `status` (string, optional) — The status of the grant
- `feeDetail` (GrantFeeDetail, optional) — The fee detail of the grant
- `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object
- `firstName` (string, optional) — The donor's first name
- `lastName` (string, optional) — The donor's last name
- `phone` (string, optional) — The donor's phone number
- `email` (string, optional) — The donor's email
- `note` (string, optional) — An note inputted by the user at submisson
- `statuses` (list of GrantStatus, optional) — The list of grant statuses for this grant
- `paymentChannel` (enum, optional) — The payment channel for the grant. This is useful to know how the grant will be sent. The payment channel will be one of the following: - dafpay_network: Grant will be sent to the DAFPay Network 501(c)(3) nonprofit organization (EIN: 93-1372175). The DAFPay Network will then review and process the grant and send the funds to the intended recipient. - direct: Grant will be sent directly to the intended recipient.
  - Allowed values: `dafpay_network`, `direct`
- `address` (GrantAddress, optional)
- `userFriendlyId` (string, optional, deprecated) — Often referred to as the "Chariot ID", this is the ID that will be included in the payment from the DAF provider.

### GrantFeeDetail

The fee detail of the grant

- `total` (double, optional) — The total fee amount expressed in units of cents
- `contributions` (list of ContributionFeeDetail, optional) — The list of fee contributions for this grant

### GrantStatus

- `id` (string, required) — The unique identifier for the object
- `createdAt` (datetime, required) — Time when this object was created; expressed in RFC 3339 format
- `status` (enum, required) — The status of the grant. * awaiting_account_approval: The linked Donor Account is not yet `approved`. The grant advances automatically when the Account is approved. * awaiting_daf_submission: The Account is approved and the grant is ready for the DAF to submit in their system. * initiated: The DAF has submitted the grant. Terminal. * canceled: The DAF has canceled the grant. Terminal.
  - Allowed values: `awaiting_account_approval`, `awaiting_daf_submission`, `initiated`, `canceled`
- `comment` (string, optional) — The user comment for the update

### GrantAddress

- `line1` (string, optional) — Address line 1 (e.g. street, PO Box, or company name). Maximum length: 255 characters.
- `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building). Maximum length: 255 characters.
- `city` (string, optional) — City, district, suburb, town, or village.. Maximum length: 255 characters.
- `state` (string, optional) — State, county, province, or region. Maximum length: 255 characters.
- `postalCode` (string, optional) — ZIP or postal code. Maximum length: 255 characters.

### ContributionFeeDetail

- `name` (string, required) — The name of the party charging the fee. This is an informational field. If you need to differentiate between fees charged by different parties, you should use the `feeType` field.
- `amount` (double, required) — The fee contribution amount expressed in units of cents
- `feeType` (enum, optional) — This indicates the source of a fee contribution. * chariot: Chariot's processing fee * daf: The DAF's processing fee * fundraising_application: The fundraising application's processing fee
  - Allowed values: `chariot`, `daf`, `fundraising_application`

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "1e60800e-849b-43d1-870e-57afc8d75473",
      "workflowSessionId": "cfe09e64-6a74-4dab-a565-361185a6f248",
      "fundId": "daf-id",
      "amount": 15000,
      "createdAt": "2021-08-10 15:00:00.000",
      "updatedAt": "2021-08-11 15:34:00.000",
      "status": "Initiated"
    }
  ],
  "nextPageToken": "c3f685f2-2dda-4956-815b-39867a5e5638"
}
```